RM: Remove fsprotect binary and source packages from hirsute

Bug #1922732 reported by Seth Forshee
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
fsprotect (Ubuntu)
Fix Released
High
Andy Whitcroft

Bug Description

I am requesting removal of the fsprotect source and binary packages from hirsute.

[ Package Description ]

fsprotect is a tool which uses AUFS to create a root mount built from a read-only filesystem and a tmpfs. All changes to the root mount are written to the tmpfs, leaving the root filesystem in a pristine state.

[ Rationale for Removal ]

Ubuntu kernels no longer provide AUFS support starting in hirsute, breaking the functionality provided by this package. Similar functionality is available from systemd (https://www.freedesktop.org/software/systemd/man/systemd-volatile-root.service.html) and from the overlayroot package from cloud-initramfs-tools, both of which use the in-kernel overlay filesystem instead of AUFS.

Additionally, upstream fsprotect has not seen any changes in 4+ years, and bugs opened in the upstream bug tracker have seen little-to-no activity in the same timeframe, so it's possible the project has been abandoned.

No other packages in the archive have any dependencies on fsprotect.

Andy Whitcroft (apw)
summary: - Remove fsprotect binary and source packages from hirsute
+ RM: Remove fsprotect binary and source packages from hirsute
Changed in fsprotect (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → High
Revision history for this message
Andy Whitcroft (apw) wrote :

$ reverse-depends src:fsprotect
No reverse dependencies found

$ remove-package -m 'RM: LP: #1922732' -s hirsute fsprotect
Removing packages from hirsute:
        fsprotect 1.0.7 in hirsute
                fsprotect 1.0.7 in hirsute amd64
                fsprotect 1.0.7 in hirsute arm64
                fsprotect 1.0.7 in hirsute armhf
                fsprotect 1.0.7 in hirsute i386
                fsprotect 1.0.7 in hirsute ppc64el
                fsprotect 1.0.7 in hirsute riscv64
                fsprotect 1.0.7 in hirsute s390x
Comment: RM: LP: #1922732
1 package successfully removed.

Changed in fsprotect (Ubuntu):
status: New → Fix Released
Revision history for this message
Lucap (lucap) wrote :

@Seth Forshee

>Similar functionality is available from systemd

Is there a simple install script then for non-technical users as i'm currently stuck without either fsprotect or systemd overlay?

fsprotect you just installed it and added a command to grub , systemd overlay is more complex and needs dracut?

Revision history for this message
Lucap (lucap) wrote :

bilibop-lockfs can be used instead of Fsprotect as it uses overlayfs (if aufs is not available) and all you have to do is install it and add lockfs to ubuntu grub to activate it.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Related questions